#!/bin/sh
# Exit the script if any command fails
set -e

if [ "$1" = 'start' ]; then

  if [ "$WEBCONTEXT" = '/' ]; then
      targetPath="/usr/share/nginx/html/assets/configurations"
  else
      mkdir -p /tmp/"$WEBCONTEXT"/
      mv -v /usr/share/nginx/html/* /tmp/"$WEBCONTEXT"/
      rm -rf /usr/share/nginx/html/*
      mkdir -p /usr/share/nginx/html/"$WEBCONTEXT"/
      mv -v /tmp/"$WEBCONTEXT"/* /usr/share/nginx/html/"$WEBCONTEXT"/
      rm -rf /tmp/"$WEBCONTEXT"
      targetPath="/usr/share/nginx/html/$WEBCONTEXT/assets/configurations"
  fi

  jsonRuntimeFilePath="/usr/share/nginx/environments/environment.runtime.json"
  mkdir -p "$targetPath"

  # Inject environment config to the angular dist assets/ folder
  if [ -e $jsonRuntimeFilePath ]; then
    jq '.dummyClientSecret = $value' --arg value "$CLIENT_SECRET" $jsonRuntimeFilePath >/usr/share/nginx/environments/tmp.$$.json \
    && cp /usr/share/nginx/environments/tmp.$$.json "$targetPath/environment.runtime.json" \
    && rm -rf /usr/share/nginx/environments/tmp.$$.json
  fi
  # start nodejs
  export LOCATION="$LOCATION"
  forever start /usr/share/nginx/server/main.js
  # Start http server
  exec nginx -g 'daemon off;'
fi

# Used to run a custom command on container start
exec "$@"
