/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - resource-logo-options.model.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {ApiActionNamePartialEnum} from "../../../enums/partial/api-action-name-partial.enum";
import {ExtendEnum} from "../../../types/extend-enum.type";
import {ResourceOptions} from "../resource/resource-options.model";
import {ResourceLogoAction} from "./resource-logo.action";

export interface ResourceLogoOptions extends ResourceOptions {
  downloadInMemory?: boolean;
  resourceLogoApiActionNameUploadCustom?: ExtendEnum<ApiActionNamePartialEnum>;
  resourceLogoApiActionNameDownloadCustom?: ExtendEnum<ApiActionNamePartialEnum>;
  resourceLogoApiActionNameDeleteCustom?: ExtendEnum<ApiActionNamePartialEnum>;
  customLogoAttribute?: string;
  fileNameAttribute?: string;
  addExtraFormDataDuringUpload?: (formData: FormData, action: ResourceLogoAction.UploadPhoto) => void;
  customUploadUrlSuffix?: (action: ResourceLogoAction.UploadPhoto) => string;
}
